Update import log hit rate goal

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
PUT /project/{projectId}/hit-rate-goals/{importLogHitRateGoalId}

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • importLogHitRateGoalId integer(int64) Required
application/json

Body Required

  • id integer(int64)
  • importLogHitRateGoalValue integer(int32)
  • importLogId integer(int64)

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • id integer(int64)
    • importLogId integer(int64)
    • importLogHitRateGoalValue integer(int32)
    • dataDate string(date-time)
PUT /project/{projectId}/hit-rate-goals/{importLogHitRateGoalId}
curl \
 --request PUT 'https://live.smartpmtech.com/project/{projectId}/hit-rate-goals/{importLogHitRateGoalId}' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "id": 42,
  "importLogHitRateGoalValue": 42,
  "importLogId": 42
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "id": 42,
  "importLogHitRateGoalValue": 42,
  "importLogId": 42
}
Response examples (200)
{
  "id": 42,
  "importLogId": 42,
  "importLogHitRateGoalValue": 42,
  "dataDate": "2026-05-04T09:42:00Z"
}